<template>
  <select-field
    v-bind="$attrs"
    :items="categories"
    :label="$t('label')"
    prepend-icon="mdi-shape-outline"
    v-on="$listeners"
  />
</template>

<script>
  import { get } from 'vuex-pathify'

  export default {
    name: 'CategoriesSelectField',
    computed: {
      ...get('categories', [
        'categories',
      ]),
    },
    i18n: {
      messages: {
        'pt-BR': {
          label: 'Categoria',
        },
        'en-US': {
          label: 'Category',
        },
      },
    },
  }
</script>
